## GoaMail GoaMail — Generated C code for the org.gnome.OnlineAccounts.Mail D-Bus interface |

## Functions

guint | goa_mail_override_properties ()
GDBusInterfaceInfo * | goa_mail_interface_info ()
const gchar * | goa_mail_get_email_address ()
gchar * | goa_mail_dup_email_address ()
void | goa_mail_set_email_address ()
const gchar * | goa_mail_get_name ()
gchar * | goa_mail_dup_name ()
void | goa_mail_set_name ()
const gchar * | goa_mail_get_imap_host ()
gchar * | goa_mail_dup_imap_host ()
void | goa_mail_set_imap_host ()
gboolean | goa_mail_get_imap_supported ()
void | goa_mail_set_imap_supported ()
gboolean | goa_mail_get_imap_accept_ssl_errors ()
void | goa_mail_set_imap_accept_ssl_errors ()
gboolean | goa_mail_get_imap_use_ssl ()
void | goa_mail_set_imap_use_ssl ()
gboolean | goa_mail_get_imap_use_tls ()
void | goa_mail_set_imap_use_tls ()
const gchar * | goa_mail_get_imap_user_name ()
gchar * | goa_mail_dup_imap_user_name ()
void | goa_mail_set_imap_user_name ()
const gchar * | goa_mail_get_smtp_host ()
gchar * | goa_mail_dup_smtp_host ()
void | goa_mail_set_smtp_host ()
gboolean | goa_mail_get_smtp_supported ()
void | goa_mail_set_smtp_supported ()
gboolean | goa_mail_get_smtp_accept_ssl_errors ()
void | goa_mail_set_smtp_accept_ssl_errors ()
gboolean | goa_mail_get_smtp_use_auth ()
void | goa_mail_set_smtp_use_auth ()
gboolean | goa_mail_get_smtp_auth_login ()
void | goa_mail_set_smtp_auth_login ()
gboolean | goa_mail_get_smtp_auth_plain ()
void | goa_mail_set_smtp_auth_plain ()
gboolean | goa_mail_get_smtp_auth_xoauth2 ()
void | goa_mail_set_smtp_auth_xoauth2 ()
gboolean | goa_mail_get_smtp_use_ssl ()
void | goa_mail_set_smtp_use_ssl ()
gboolean | goa_mail_get_smtp_use_tls ()
void | goa_mail_set_smtp_use_tls ()
const gchar * | goa_mail_get_smtp_user_name ()
gchar * | goa_mail_dup_smtp_user_name ()
void | goa_mail_set_smtp_user_name ()
void | goa_mail_proxy_new ()
GoaMail * | goa_mail_proxy_new_finish ()
GoaMail * | goa_mail_proxy_new_sync ()
void | goa_mail_proxy_new_for_bus ()
GoaMail * | goa_mail_proxy_new_for_bus_finish ()
GoaMail * | goa_mail_proxy_new_for_bus_sync ()
GoaMail * | goa_mail_skeleton_new ()

## Properties

char * | email-address | Read / Write
gboolean | imap-accept-ssl-errors | Read / Write
char * | imap-host | Read / Write
gboolean | imap-supported | Read / Write
gboolean | imap-use-ssl | Read / Write
gboolean | imap-use-tls | Read / Write
char * | imap-user-name | Read / Write
char * | name | Read / Write
gboolean | smtp-accept-ssl-errors | Read / Write
gboolean | smtp-auth-login | Read / Write
gboolean | smtp-auth-plain | Read / Write
gboolean | smtp-auth-xoauth2 | Read / Write
char * | smtp-host | Read / Write
gboolean | smtp-supported | Read / Write
gboolean | smtp-use-auth | Read / Write
gboolean | smtp-use-ssl | Read / Write
gboolean | smtp-use-tls | Read / Write
char * | smtp-user-name | Read / Write

## Types and Values

| GoaMail
struct | GoaMailIface
struct | GoaMailProxy
struct | GoaMailProxyClass
struct | GoaMailSkeleton
struct | GoaMailSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaMail
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaMailSkeleton
        ╰── GDBusProxy
            ╰── GoaMailProxy

## Prerequisites

GoaMail requires GObject.

## Implemented Interfaces

GoaMailProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaMail.

GoaMailSkeleton implements GDBusInterface and GoaMail.

## Known Implementations

GoaMail is implemented by GoaMailProxy and GoaMailSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.Mail D-Bus interface in C.

## Functions

### goa_mail_override_properties ()

    guint
    goa_mail_override_properties (GObjectClass *klass,
                                  guint property_id_begin);

Overrides all GObject properties in the GoaMail interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### goa_mail_interface_info ()

    GDBusInterfaceInfo *
    goa_mail_interface_info (void);

Gets a machine-readable description of the org.gnome.OnlineAccounts.Mail D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### goa_mail_get_email_address ()

    const gchar *
    goa_mail_get_email_address (GoaMail *object);

Gets the value of the "EmailAddress" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_mail_dup_email_address()` if on another thread.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### goa_mail_dup_email_address ()

    gchar *
    goa_mail_dup_email_address (GoaMail *object);

Gets a copy of the "EmailAddress" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### goa_mail_set_email_address ()

    void
    goa_mail_set_email_address (GoaMail *object,
                                const gchar *value);

Sets the "EmailAddress" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_name ()

    const gchar *
    goa_mail_get_name (GoaMail *object);

Gets the value of the "Name" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_mail_dup_name()` if on another thread.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### goa_mail_dup_name ()

    gchar *
    goa_mail_dup_name (GoaMail *object);

Gets a copy of the "Name" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### goa_mail_set_name ()

    void
    goa_mail_set_name (GoaMail *object,
                       const gchar *value);

Sets the "Name" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_imap_host ()

    const gchar *
    goa_mail_get_imap_host (GoaMail *object);

Gets the value of the "ImapHost" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_mail_dup_imap_host()` if on another thread.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### goa_mail_dup_imap_host ()

    gchar *
    goa_mail_dup_imap_host (GoaMail *object);

Gets a copy of the "ImapHost" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### goa_mail_set_imap_host ()

    void
    goa_mail_set_imap_host (GoaMail *object,
                            const gchar *value);

Sets the "ImapHost" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_imap_supported ()

    gboolean
    goa_mail_get_imap_supported (GoaMail *object);

Gets the value of the "ImapSupported" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value.

### goa_mail_set_imap_supported ()

    void
    goa_mail_set_imap_supported (GoaMail *object,
                                 gboolean value);

Sets the "ImapSupported" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_imap_accept_ssl_errors ()

    gboolean
    goa_mail_get_imap_accept_ssl_errors (GoaMail *object);

Gets the value of the "ImapAcceptSslErrors" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value.

### goa_mail_set_imap_accept_ssl_errors ()

    void
    goa_mail_set_imap_accept_ssl_errors (GoaMail *object,
                                         gboolean value);

Sets the "ImapAcceptSslErrors" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_imap_use_ssl ()

    gboolean
    goa_mail_get_imap_use_ssl (GoaMail *object);

Gets the value of the "ImapUseSsl" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value.

### goa_mail_set_imap_use_ssl ()

    void
    goa_mail_set_imap_use_ssl (GoaMail *object,
                               gboolean value);

Sets the "ImapUseSsl" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_imap_use_tls ()

    gboolean
    goa_mail_get_imap_use_tls (GoaMail *object);

Gets the value of the "ImapUseTls" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value.

### goa_mail_set_imap_use_tls ()

    void
    goa_mail_set_imap_use_tls (GoaMail *object,
                               gboolean value);

Sets the "ImapUseTls" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_imap_user_name ()

    const gchar *
    goa_mail_get_imap_user_name (GoaMail *object);

Gets the value of the "ImapUserName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_mail_dup_imap_user_name()` if on another thread.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### goa_mail_dup_imap_user_name ()

    gchar *
    goa_mail_dup_imap_user_name (GoaMail *object);

Gets a copy of the "ImapUserName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### goa_mail_set_imap_user_name ()

    void
    goa_mail_set_imap_user_name (GoaMail *object,
                                 const gchar *value);

Sets the "ImapUserName" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_smtp_host ()

    const gchar *
    goa_mail_get_smtp_host (GoaMail *object);

Gets the value of the "SmtpHost" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_mail_dup_smtp_host()` if on another thread.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### goa_mail_dup_smtp_host ()

    gchar *
    goa_mail_dup_smtp_host (GoaMail *object);

Gets a copy of the "SmtpHost" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### goa_mail_set_smtp_host ()

    void
    goa_mail_set_smtp_host (GoaMail *object,
                            const gchar *value);

Sets the "SmtpHost" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_smtp_supported ()

    gboolean
    goa_mail_get_smtp_supported (GoaMail *object);

Gets the value of the "SmtpSupported" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value.

### goa_mail_set_smtp_supported ()

    void
    goa_mail_set_smtp_supported (GoaMail *object,
                                 gboolean value);

Sets the "SmtpSupported" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_smtp_accept_ssl_errors ()

    gboolean
    goa_mail_get_smtp_accept_ssl_errors (GoaMail *object);

Gets the value of the "SmtpAcceptSslErrors" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value.

### goa_mail_set_smtp_accept_ssl_errors ()

    void
    goa_mail_set_smtp_accept_ssl_errors (GoaMail *object,
                                         gboolean value);

Sets the "SmtpAcceptSslErrors" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_smtp_use_auth ()

    gboolean
    goa_mail_get_smtp_use_auth (GoaMail *object);

Gets the value of the "SmtpUseAuth" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value.

### goa_mail_set_smtp_use_auth ()

    void
    goa_mail_set_smtp_use_auth (GoaMail *object,
                                gboolean value);

Sets the "SmtpUseAuth" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_smtp_auth_login ()

    gboolean
    goa_mail_get_smtp_auth_login (GoaMail *object);

Gets the value of the "SmtpAuthLogin" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value.

### goa_mail_set_smtp_auth_login ()

    void
    goa_mail_set_smtp_auth_login (GoaMail *object,
                                  gboolean value);

Sets the "SmtpAuthLogin" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_smtp_auth_plain ()

    gboolean
    goa_mail_get_smtp_auth_plain (GoaMail *object);

Gets the value of the "SmtpAuthPlain" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value.

### goa_mail_set_smtp_auth_plain ()

    void
    goa_mail_set_smtp_auth_plain (GoaMail *object,
                                  gboolean value);

Sets the "SmtpAuthPlain" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_smtp_auth_xoauth2 ()

    gboolean
    goa_mail_get_smtp_auth_xoauth2 (GoaMail *object);

Gets the value of the "SmtpAuthXoauth2" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value.

### goa_mail_set_smtp_auth_xoauth2 ()

    void
    goa_mail_set_smtp_auth_xoauth2 (GoaMail *object,
                                    gboolean value);

Sets the "SmtpAuthXoauth2" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_smtp_use_ssl ()

    gboolean
    goa_mail_get_smtp_use_ssl (GoaMail *object);

Gets the value of the "SmtpUseSsl" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value.

### goa_mail_set_smtp_use_ssl ()

    void
    goa_mail_set_smtp_use_ssl (GoaMail *object,
                               gboolean value);

Sets the "SmtpUseSsl" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_smtp_use_tls ()

    gboolean
    goa_mail_get_smtp_use_tls (GoaMail *object);

Gets the value of the "SmtpUseTls" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value.

### goa_mail_set_smtp_use_tls ()

    void
    goa_mail_set_smtp_use_tls (GoaMail *object,
                               gboolean value);

Sets the "SmtpUseTls" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_get_smtp_user_name ()

    const gchar *
    goa_mail_get_smtp_user_name (GoaMail *object);

Gets the value of the "SmtpUserName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_mail_dup_smtp_user_name()` if on another thread.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### goa_mail_dup_smtp_user_name ()

    gchar *
    goa_mail_dup_smtp_user_name (GoaMail *object);

Gets a copy of the "SmtpUserName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMail. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### goa_mail_set_smtp_user_name ()

    void
    goa_mail_set_smtp_user_name (GoaMail *object,
                                 const gchar *value);

Sets the "SmtpUserName" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMail. |
value | The value to set. |

### goa_mail_proxy_new ()

    void
    goa_mail_proxy_new (GDBusConnection *connection,
                        GDBusProxyFlags flags,
                        const gchar *name,
                        const gchar *object_path,
                        GCancellable *cancellable,
                        GAsyncReadyCallback callback,
                        gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Mail. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `goa_mail_proxy_new_finish()` to get the result of the operation.

See `goa_mail_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### goa_mail_proxy_new_finish ()

    GoaMail *
    goa_mail_proxy_new_finish (GAsyncResult *res,
                               GError **error);

Finishes an operation started with `goa_mail_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_mail_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaMailProxy]

### goa_mail_proxy_new_sync ()

    GoaMail *
    goa_mail_proxy_new_sync (GDBusConnection *connection,
                             GDBusProxyFlags flags,
                             const gchar *name,
                             const gchar *object_path,
                             GCancellable *cancellable,
                             GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Mail. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `goa_mail_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaMailProxy]

### goa_mail_proxy_new_for_bus ()

    void
    goa_mail_proxy_new_for_bus (GBusType bus_type,
                                GDBusProxyFlags flags,
                                const gchar *name,
                                const gchar *object_path,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Like `goa_mail_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `goa_mail_proxy_new_for_bus_finish()` to get the result of the operation.

See `goa_mail_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### goa_mail_proxy_new_for_bus_finish ()

    GoaMail *
    goa_mail_proxy_new_for_bus_finish (GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `goa_mail_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_mail_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaMailProxy]

### goa_mail_proxy_new_for_bus_sync ()

    GoaMail *
    goa_mail_proxy_new_for_bus_sync (GBusType bus_type,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GError **error);

Like `goa_mail_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `goa_mail_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaMailProxy]

### goa_mail_skeleton_new ()

    GoaMail *
    goa_mail_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.OnlineAccounts.Mail.

#### Returns

The skeleton object.

[transfer full][type GoaMailSkeleton]

## Types and Values

### GoaMail

    typedef struct _GoaMail GoaMail;

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Mail.

### struct GoaMailIface

    struct GoaMailIface {
      GTypeInterface parent_iface;

      const gchar * (*get_email_address) (GoaMail *object);

      gboolean  (*get_imap_accept_ssl_errors) (GoaMail *object);

      const gchar * (*get_imap_host) (GoaMail *object);

      gboolean  (*get_imap_supported) (GoaMail *object);

      gboolean  (*get_imap_use_ssl) (GoaMail *object);

      gboolean  (*get_imap_use_tls) (GoaMail *object);

      const gchar * (*get_imap_user_name) (GoaMail *object);

      const gchar * (*get_name) (GoaMail *object);

      gboolean  (*get_smtp_accept_ssl_errors) (GoaMail *object);

      gboolean  (*get_smtp_auth_login) (GoaMail *object);

      gboolean  (*get_smtp_auth_plain) (GoaMail *object);

      gboolean  (*get_smtp_auth_xoauth2) (GoaMail *object);

      const gchar * (*get_smtp_host) (GoaMail *object);

      gboolean  (*get_smtp_supported) (GoaMail *object);

      gboolean  (*get_smtp_use_auth) (GoaMail *object);

      gboolean  (*get_smtp_use_ssl) (GoaMail *object);

      gboolean  (*get_smtp_use_tls) (GoaMail *object);

      const gchar * (*get_smtp_user_name) (GoaMail *object);
    };

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Mail.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_email_address` () | Getter for the “email-address” property. |
`get_imap_accept_ssl_errors` () | Getter for the “imap-accept-ssl-errors” property. |
`get_imap_host` () | Getter for the “imap-host” property. |
`get_imap_supported` () | Getter for the “imap-supported” property. |
`get_imap_use_ssl` () | Getter for the “imap-use-ssl” property. |
`get_imap_use_tls` () | Getter for the “imap-use-tls” property. |
`get_imap_user_name` () | Getter for the “imap-user-name” property. |
`get_name` () | Getter for the “name” property. |
`get_smtp_accept_ssl_errors` () | Getter for the “smtp-accept-ssl-errors” property. |
`get_smtp_auth_login` () | Getter for the “smtp-auth-login” property. |
`get_smtp_auth_plain` () | Getter for the “smtp-auth-plain” property. |
`get_smtp_auth_xoauth2` () | Getter for the “smtp-auth-xoauth2” property. |
`get_smtp_host` () | Getter for the “smtp-host” property. |
`get_smtp_supported` () | Getter for the “smtp-supported” property. |
`get_smtp_use_auth` () | Getter for the “smtp-use-auth” property. |
`get_smtp_use_ssl` () | Getter for the “smtp-use-ssl” property. |
`get_smtp_use_tls` () | Getter for the “smtp-use-tls” property. |
`get_smtp_user_name` () | Getter for the “smtp-user-name” property. |

### struct GoaMailProxy

    struct GoaMailProxy;

The GoaMailProxy structure contains only private data and should only be accessed using the provided API.

### struct GoaMailProxyClass

    struct GoaMailProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for GoaMailProxy.

#### Members

### struct GoaMailSkeleton

    struct GoaMailSkeleton;

The GoaMailSkeleton structure contains only private data and should only be accessed using the provided API.

### struct GoaMailSkeletonClass

    struct GoaMailSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for GoaMailSkeleton.

#### Members

## Property Details

### The `“email-address”` property

      “email-address”            char *

Represents the D-Bus property "EmailAddress".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: NULL

### The `“imap-accept-ssl-errors”` property

      “imap-accept-ssl-errors”   gboolean

Represents the D-Bus property "ImapAcceptSslErrors".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: FALSE

### The `“imap-host”` property

      “imap-host”                char *

Represents the D-Bus property "ImapHost".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: NULL

### The `“imap-supported”` property

      “imap-supported”           gboolean

Represents the D-Bus property "ImapSupported".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: FALSE

### The `“imap-use-ssl”` property

      “imap-use-ssl”             gboolean

Represents the D-Bus property "ImapUseSsl".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: FALSE

### The `“imap-use-tls”` property

      “imap-use-tls”             gboolean

Represents the D-Bus property "ImapUseTls".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: FALSE

### The `“imap-user-name”` property

      “imap-user-name”           char *

Represents the D-Bus property "ImapUserName".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: NULL

### The `“name”` property

      “name”                     char *

Represents the D-Bus property "Name".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: NULL

### The `“smtp-accept-ssl-errors”` property

      “smtp-accept-ssl-errors”   gboolean

Represents the D-Bus property "SmtpAcceptSslErrors".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: FALSE

### The `“smtp-auth-login”` property

      “smtp-auth-login”          gboolean

Represents the D-Bus property "SmtpAuthLogin".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: FALSE

### The `“smtp-auth-plain”` property

      “smtp-auth-plain”          gboolean

Represents the D-Bus property "SmtpAuthPlain".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: FALSE

### The `“smtp-auth-xoauth2”` property

      “smtp-auth-xoauth2”        gboolean

Represents the D-Bus property "SmtpAuthXoauth2".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: FALSE

### The `“smtp-host”` property

      “smtp-host”                char *

Represents the D-Bus property "SmtpHost".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: NULL

### The `“smtp-supported”` property

      “smtp-supported”           gboolean

Represents the D-Bus property "SmtpSupported".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: FALSE

### The `“smtp-use-auth”` property

      “smtp-use-auth”            gboolean

Represents the D-Bus property "SmtpUseAuth".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: FALSE

### The `“smtp-use-ssl”` property

      “smtp-use-ssl”             gboolean

Represents the D-Bus property "SmtpUseSsl".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: FALSE

### The `“smtp-use-tls”` property

      “smtp-use-tls”             gboolean

Represents the D-Bus property "SmtpUseTls".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: FALSE

### The `“smtp-user-name”` property

      “smtp-user-name”           char *

Represents the D-Bus property "SmtpUserName".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMail

Flags: Read / Write

Default value: NULL